Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1423191 - audacity: FTBFS in rawhide
Summary: audacity: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audacity
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Timms
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2017-02-17 03:06 UTC by Fedora Release Engineering
Modified: 2017-04-03 22:53 UTC (History)
2 users (show)

Fixed In Version: audacity-2.1.3-2.fc26 audacity-2.1.3-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-03 16:07:37 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (981.00 KB, text/plain)
2017-02-17 03:06 UTC, Fedora Release Engineering
no flags Details
root.log (125.61 KB, text/plain)
2017-02-17 03:06 UTC, Fedora Release Engineering
no flags Details
state.log (707 bytes, text/plain)
2017-02-17 03:06 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2017-02-17 03:06:40 UTC
Your package audacity failed to build from source in current rawhide.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17704415

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

Comment 1 Fedora Release Engineering 2017-02-17 03:06:52 UTC
Created attachment 1251341 [details]
build.log

Comment 2 Fedora Release Engineering 2017-02-17 03:06:55 UTC
Created attachment 1251342 [details]
root.log

Comment 3 Fedora Release Engineering 2017-02-17 03:06:58 UTC
Created attachment 1251343 [details]
state.log

Comment 4 Fedora End Of Life 2017-02-28 11:21:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Upstream Release Monitoring 2017-03-22 13:28:24 UTC
dtimms's audacity-2.1.3-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=871608

Comment 6 Upstream Release Monitoring 2017-03-25 09:37:57 UTC
dtimms's audacity-2.1.3-2.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=872656

Comment 7 David Timms 2017-03-26 06:26:34 UTC
Build issue was that the audacity manual.zip was changed to audacity-help.zip. The content dropped the top two folder layers with in the zip.

The spec was adjusted to extract the -help.zip into the earlier path. This allows the -manual package to be created and the package build succeeds.

Also build was adjusted to include mp3 import using libmad, which is now in the Fedora repository.

Comment 8 Fedora Update System 2017-03-26 18:52:53 UTC
audacity-2.1.3-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c6511f96f9

Comment 9 Fedora Update System 2017-03-27 02:18:48 UTC
audacity-2.1.3-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ec5e8e0240

Comment 10 Fedora Update System 2017-03-27 03:20:40 UTC
audacity-2.1.3-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a20103b1c8

Comment 11 Fedora Update System 2017-04-03 16:07:37 UTC
audacity-2.1.3-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-04-03 22:53:45 UTC
audacity-2.1.3-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.